package Agentes;

import jade.core.Agent;
import jade.domain.DFService;
import jade.domain.FIPAException;
import jade.domain.FIPAAgentManagement.DFAgentDescription;
import jade.domain.FIPAAgentManagement.ServiceDescription;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

public class Alumno2 extends Agent{
	protected void setup() {
		DFAgentDescription agentDescription = new DFAgentDescription();
		agentDescription.setName(getAID());
		ServiceDescription serviceDescription = new ServiceDescription();
		serviceDescription.setType("Escuela");
		serviceDescription.setName("Danel");
		agentDescription.addServices(serviceDescription);
		try {
			DFService.register(this, agentDescription);
		} catch(FIPAException e) {
			e.printStackTrace();
		}
		MessageTemplate mensaje = MessageTemplate.and( MessageTemplate.MatchConversationId("despertarDanel"),  MessageTemplate.MatchPerformative(ACLMessage.INFORM));
		//Bloquear a Alumno2 hasta que reciba el mensaje
		ACLMessage mensaje1 = blockingReceive(mensaje);
		System.out.println("PROFESOR: " + mensaje1.getContent() +"\n");
		System.out.println("DANEL: Sí sí! \n");
		System.out.println("======================== \n");
		System.out.println("----Empieza el juego---- \n");
		System.out.println("======================== \n");
		System.out.println("DANEL: Fresa! \n");
		ACLMessage mensaje2 = blockingReceive(mensaje);
		System.out.println("PROFESOR: " + mensaje2.getContent() +"\n");
		if(mensaje2.getContent().compareTo("Suficiente!") == 0)
			doDelete();
		
		
	}
	
	protected void takeDown() {
		System.out.println(getLocalName().toUpperCase()+": No juego más \n");
		
	}
}
