package Agentes;

import jade.core.Agent;
import jade.core.behaviours.Behaviour;
import jade.core.behaviours.WakerBehaviour;
import jade.domain.DFService;
import jade.domain.FIPAException;
import jade.domain.FIPAAgentManagement.DFAgentDescription;
import jade.domain.FIPAAgentManagement.ServiceDescription;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

public class Alumno4 extends Agent {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected void setup(){
		this.addBehaviour(new WakerBehaviour(this, 4000) {
			protected void onWake() {
				// Despertar alumno baño
				Behaviour bWaker = new MythreeStepBehaviour();
				myAgent.addBehaviour(bWaker);
			}
		});
	}
	
	protected void takeDown(){
		System.out.println("---------------------------------------------");
		System.out.println(getLocalName().toUpperCase() + " no vuelve a clase y se va a casa");
		System.out.println("---------------------------------------------\n");
	}

	public class MythreeStepBehaviour extends Behaviour {

		private int step = 0;

		public void action(){
		switch (step){
		case 0:
			System.out.println("-------------------------------------------");
			System.out.println(getLocalName().toUpperCase()+ " quiere ir al baño");
			System.out.println("-------------------------------------------\n");
			this.block(10000);
			step++;
			break;
		case 1:
			System.out.println("-------------------------------------------");
			System.out.println(getLocalName().toUpperCase()+ " se va al baño sin preguntar");
			System.out.println("-------------------------------------------\n");
			step++;
			this.block(5000);
			break;
		case 2:
			System.out.println("--------------------------------------------");
			System.out.println(getLocalName().toUpperCase()+ " se queda hablando por el camino");
			System.out.println("--------------------------------------------\n");
			this.block(5000);
			step++;
			break;			
		}
		
		
	}

		public boolean done() {
			if (step == 3) doDelete();
			return step == 3;
			
		}	

	}
}