package Agentes;

import java.util.Random;

import jade.core.Agent;
import jade.core.behaviours.CyclicBehaviour;
import jade.core.behaviours.WakerBehaviour;
import jade.domain.DFService;
import jade.domain.FIPAException;
import jade.domain.FIPAAgentManagement.DFAgentDescription;
import jade.domain.FIPAAgentManagement.ServiceDescription;
import jade.lang.acl.ACLMessage;

public class Alumno5 extends Agent {
	int contador = 0;
	protected void setup() {
		
		addBehaviour(new WakerBehaviour(this, 5000) {
			protected void onWake() {
				myAgent.addBehaviour(new BoligrafoAlSuelo(myAgent));
			}	 
		});
	}
	
	public class BoligrafoAlSuelo extends CyclicBehaviour {
		public BoligrafoAlSuelo(Agent agente) {
			super(agente);
		}
		
		public void onStart() {
			System.out.println("·················································");
			System.out.println(getLocalName().toUpperCase()+" saca los bolígrafos del estuche");
			System.out.println("·················································\n");
			contador = 0;
		}
		
		public void action() {				
			contador++;
			if (contador == 5)
				doDelete();
				//myAgent.removeBehaviour(this);
			System.out.println("·················································");
			System.out.println(getLocalName().toUpperCase()+" bolígrafo al suelo");
			System.out.println("·················································\n");
		    
		    block(2000);
		    
		}

		public int onEnd() {
			System.out.println("·················································");
			System.out.println(getLocalName().toUpperCase()+ " se guarda los boligrafos");
			System.out.println("·················································\n");
			return super.onEnd();
		}
	}

}


